Index: src/main/webapp/application/engageConfig.json
===================================================================
--- src/main/webapp/application/engageConfig.json	(revision 8684)
+++ src/main/webapp/application/engageConfig.json	(working copy)
@@ -12,7 +12,8 @@
     "fluid.browseDemo.initBrowseDataFeed",
     "fluid.engageDemo.initEngageDemo",
     "fluid.kettleDemo.initCherryDemo",
-    "fluid.kettleDemo.initJSGIHandlerDemo"
+    "fluid.kettleDemo.initJSGIHandlerDemo",
+    "fluid.kettleDemo.initParadeComponent"
 ],
 views: {
     all: "all",
Index: src/main/webapp/kettle/KettleIncludes.json
===================================================================
--- src/main/webapp/kettle/KettleIncludes.json	(revision 8628)
+++ src/main/webapp/kettle/KettleIncludes.json	(working copy)
@@ -18,5 +18,6 @@
    "../services/engageDemo/js/engageDemo.js",
    "$engage/framework/js/Engage.js",
    "../services/kettleDemo/js/kettleCherryDemo.js",
-   "../services/kettleDemo/js/kettleJSGIDemo.js"
+   "../services/kettleDemo/js/kettleJSGIDemo.js",
+   "../services/kettleDemo/js/kettleParadeComponent.js"
   ]
Index: src/main/webapp/services/kettleDemo/js/kettleParadeComponent.js
===================================================================
--- src/main/webapp/services/kettleDemo/js/kettleParadeComponent.js	(revision 0)
+++ src/main/webapp/services/kettleDemo/js/kettleParadeComponent.js	(revision 0)
@@ -0,0 +1,58 @@
+/*
+Copyright 2009 University of Cambridge
+Copyright 2009 University of Toronto
+
+Licensed under the Educational Community License (ECL), Version 2.0 or the New
+BSD license. You may not use this file except in compliance with one these
+Licenses.
+
+You may obtain a copy of the ECL 2.0 License and BSD License at
+https://source.fluidproject.org/svn/LICENSE.txt
+ */
+
+// Declare dependencies.
+/*global jQuery, fluid*/
+
+fluid = fluid || {};
+
+(function($, fluid) {
+	fluid.kettleDemo = fluid.kettleDemo || {};
+
+	fluid.kettleDemo.initParadeComponent = function(config, app) {
+
+		var getData = function(theUrl) {
+			var model = {};
+
+			var successCallback = function(data, status) {
+				model.data = data;
+			}
+
+			$.ajax( {
+				url : theUrl,
+				success : successCallback,
+				dataType : "text",
+				async : false
+			})
+
+			return model;
+		}
+
+		var handler = function(context, env) {
+			var url = decodeURIComponent(env.QUERY_STRING.substring(3))
+			var aux = getData(url);
+			fluid.setLogging(true);
+			if (aux.data) {
+				fluid.log("Retrieved [" + url + "]=>\n"
+						+ aux.data.substring(0, 512) + "...");
+			}
+			else {
+				fluid.log("Retrieved [" + url + "]=>\n Empty...");
+			}
+			return [ 200, {
+				"Content-Type" : "text/xml"
+			}, aux.data ];
+		};
+
+		fluid.engage.mountHandler(app, "kettleParade/", handler);
+	};
+})(jQuery, fluid);
